---
title: "100 Days To Read"
description: "Switching gears a little and reading for an hour every day"
author: Amolith
cover: /assets/pngs/book.png
date: 2020-07-23T00:48:16-04:00
toc: true
categories:
  - Technology
  - Meta
tags:
  - 100 Days to Read
  - 100 Days to Offload
---
## The idea
I've found it very difficult to stick to a regular schedule for
[#100DaysToOffload](https://100daystooffload) for various reasons. Chief
among them is simply that I don't have enough time with everything else
I have going on; what I want to write and the ideas I've had take longer
to get on paper (or screen) than I'm able to dedicate at the moment.[^1]
However, I love the intent behind it and want to continue in a somewhat
less involved manner. Enter
[#100DaysToRead.](https://social.nixnet.services/tags/100DaysToRead)

## The "rules"
Quotes are used because they're not solid rules; it can be hard to learn
something significant from fiction, you might miss a day here and there,
what you learned could be a bit personal and not really suitable for
social media, any number of things might result in "breaking" one or all
of them. Just do your best. :simple_smile:

### Read for an hour a day
I recommend using some kind of timer or stopwatch to track how long
you've been reading. A stopwatch would be best as it allows you to get
sucked in without ringing and making you feel as if you *need* to stop;
the pull of real life is great and audible reminders only serve to
exacerbate the urgency of rejoining the rest of the world. Part of the
idea behind this is not only to learn something but to *enjoy* it and
that's difficult when you're anxiously waiting for a timer to ding so
you can get back to watching a show. I spent a *lot* of time with books
when I was younger then fell completely out of the practise once I got
more involved with school and want to make it a habit once more.

### Take notes
The *main* goal of this challenge is to learn things and the effects of
this rule are twofold; you'll certainly be learning a lot but it will
also provide material to write about in the future.[^2] Take notes in
whatever manner you prefer, from writing in the margins[^3] to writing
on the wall, though the latter might not be the greatest idea. I
personally plan to put my notes in [a
Zettelkasten](https://zettelkasten.de/) created with
[vimwiki](https://github.com/vimwiki/vimwiki/) along with the rest of my
notes.[^4] I will first write down whatever thoughts I have in my
[pocket
notebook](https://www.walmart.com/ip/Moleskine-Classic-Notebook-Hard-Cover-Pocket-3-5-x-5-5-Plain-Blank-Black-192-Pages-9788883701030-Hardcover-Ntb/8402217)
(these will likely just be a short summary with the page/paragraph as
reference[^5]) then, directly after I've finished the session or later
that day—the same day!—I'll go through the notes and expand them a bit.
I want the *full* thought stored in my Zettelkasten for use in the
future; whenever I read another book and have a related thought, I'll
return to this note and add links between them.

### Post a short summary
Whatever you've learned that day, post a condensed version along with
the book/page/paragraph on social media using the
[#100DaysToRead](https://social.nixnet.services/tags/100DaysToRead) tag!
Expanding a short summary then condensing it again with different
wording helps to ensure you understand the material and will aid in
recollection. Posting about it will give others the same information and
might even pique their interest about what you're reading.

## Thoughts
Inspiration for this comes partly from [episode
112](https://www.social-engineer.org/podcast/ep-112-catching-spies-and-paying-parking-tickets-with-joe-navarro/)
of [The Social-Engineer
Podcast,](https://www.social-engineer.org/podcast/) partly from me
wanting to learn more, and partly from me wanting more material to write
about. There is so much knowledge in books but it takes a great deal of
discipline to sit down every day and read for an hour when there are
upgrades to perform, emails waiting for replies, games to play, shows to
watch, and so much else. Another small aspect of this is partly to
alleviate those concerns and stresses; it's a time to sit down, lose
yourself in a book, and forget about the outside world.

## What I'm starting with
Fittingly, I plan to begin with *[How to Read a
Book](https://wikipedia.org/wiki/How_to_Read_a_Book)* by [Mortimer J.
Adler.](https://wikipedia.org/wiki/Mortimer_J._Adler) It provides an
in-depth discussion on reading critically and learning as much as
possible from a given book. Adler doesn't push a "one-strategy-fits-all"
method either. He goes through a variety of approaches for different
genres and encourages a deep level of thinking for all, fiction
included. I'm looking forward to starting it tomorrow!

[^1]: With finding links, proofreading, revising, expanding, and
    shortening various sections, this short post took me over two hours
    to write.

[^2]: Maybe a #100DaysToOffload Take 2!

[^3]: I physically can't bring myself to do this but some people love
    [marginalia](https://wikipedia.org/wiki/Marginalia) and actively
    seek books with them. However, it's a very effective technique and
    might be fun to follow your thought trail when re-reading a book.

[^4]: I am currently evaluating [Anytype](https://anytype.io/) as a tool
    for creating and maintaining a Zettelkasten as well as storing other
    types on information. At the moment, I can only use it on Windows so
    it's inaccessible when I *really* need it but the developers say a
    Linux build will be ready soon™

[^5]: I plan to format these like `p20 ¶2`. The second symbol is a
    *pilcrow* or, more commonly, a paragraph mark. Usage of that and the
    section mark (§) are detailed in Matthew Butterick's *[Practical
    Typography.](https://practicaltypography.com/paragraph-and-section-marks.html)*
