---
title: "Consuming News"
subtitle: "My setup for quickly getting news I want and discarding news I don't"
author: Amolith
description: "My setup for quickly getting news I want and discarding news I don't"
date: 2020-03-31T14:08:14-04:00
cover: /assets/pngs/news.png
categories:
  - Technology
tags:
  - Productivity
  - Reading
  - RSS
  - wallabag
  - TT-RSS
  - Firefox
  - eReader
  - Workflow
toc: true
---

I [recently
posted](https://social.nixnet.services/@amolith/103918629088941744)
about getting through 487 feed items in less than half an hour and I
thought I would write about my setup here. There are three primary
applications that require some configuration:
* [Feed reader](https://tt-rss.org/)
* [Browser](https://www.mozilla.org/firefox/new/)
* [Read-it-later service](https://wallabag.org)

## Tiny Tiny RSS
My feed reader of choice is TT-RSS. It's one of the most advanced
readers I've ever used and can be tailored for any workflow. My basic
preferences are below:

* :white_check_mark: Enable categories
* :white_check_mark: Combined mode
* :white_check_mark: Always expand articles[^1]
* :white_check_mark: Show content preview in headlines

Making use of the categories is *very* important; if you have a lot of
feeds, getting through them is much easier when you can go topic by
topic and leave some for when you have more time.

In addition to categories, the *big* feature I make use of is keyboard
shortcuts. You can view those from the hamburger menu[^2] in the top
right at `Keyboard shortcuts help`. `n` and `o` is what I make use of
more than any other; `n` goes to the next article (or scrolls in
particularly long ones) and `o` opens the source in a new tab. This
would be great except that most browsers automatically switch to that
new tab. If you're just wanting to get it up there to deal with later as
I do, this diversion is *incredibly* annoying. Thankfully, it can be
disabled in Firefox :smirk:

## Firefox
This setting is pretty damn easy; open `about:config`, search for
`loadDivertedInBackground`, and set it to true.

When you right-click something and open it in a new tab, you're
automatically diverted to it. In some cases, this is convenient but I've
always found it annoying and worked around it by middle clicking links.
Changing this setting in `about:config` will make it so *all* tabs open
in the background leaving your current tab focused.

## wallabag
My read-it-later application is [wallabag,](https://wallabag.org) a
libre alternative to Mozilla's Pocket (which they still haven't made
open source :eyes:) I use the [Firefox
Add-on](https://addons.mozilla.org/en-US/firefox/addon/wallabagger/) so
simply clicking the icon will send the URL to my server for download. I
also have an application on [my
eReader](https://us.kobobooks.com/products/kobo-aura-one-limited-edition)
called [Wallabako.](https://gitlab.com/anarcat/wallabako/) It downloads
articles from wallabag as ePubs so I can read online articles while I'm
offline as if they were books. A dream come true :wink:

## Entire workflow
With all that out of the way, here's my entire workflow.

1. Select topic of interest (category)
2. Start at the top and use `n` to quickly view the `n`ext headline and
   maybe a short preview of the content
3. If you want to read more, `o`pen it in the background
4. Continue pressing `n` and/or `o` until you get to the bottom
5. If you have time, move to the next category
6. Use `CTRL+Tab` to cycle through all the links you opened and send
   them to wallabag for consuming later

[^1]: Depending on what feeds you add, you might want to disable this.
    Slashdot makes up the bulk of my feed items and they generally fit
    on one page.
[^2]: A hamburger menu is three parallel horizontal lines typically
    styled as a button that expands to show a menu of some kind.
