---
title: "New fonts & site changes"
description: "New fonts, more interesting typography, "
author: Amolith
cover: /assets/pngs/editor.png
date: 2020-07-19T01:43:11-04:00
categories:
  - Meta
tags:
  - Fonts
  - Typography
---

I just got a couple of new (and rather expensive) fonts. So far, I'm
incredibly happy with them and think it was money well-spent for a few
reasons. Created by [Matthew
Butterick,](https://en.wikipedia.org/wiki/Matthew_Butterick)
[Valkyrie](https://mbtype.com/fonts/valkyrie/) and
[Concourse](https://mbtype.com/fonts/concourse/) are simply beautiful. I
don't know which I like more but they both have their places on this
website and will find their way onto others in the future. Because
Concourse is a [sans-serif,](https://en.wikipedia.org/wiki/Sans-serif)
it will be the default used all across Secluded.Site. Valkyrie is a
[serif font](https://en.wikipedia.org/wiki/Serif) and, though the type
seems to be losing its place on the web, I think it adds a lot when
reading content that's focused on a narrative rather than simply being
informative. Because of that, it will be used for my posts about [pipe
smoking](/categories/pipe-smoking/) and [Dungeons &
Dragons.](/categories/dungeons-dragons/) I might come up with other
categories where Valkyrie fits as well but it will likely remain limited
to those two.

In addition to simply changing the fonts, I've also modified some styles
on the site. Headers (such as the title of this post) are now in proper
small caps[^1] and I did some work to improve font size relative to the
content width. Previously, the text was smaller than I would have liked
which meant longer lines; there are some studies[^2] indicating that
lines with a lower character count, while decreasing reading speed,[^3]
are generally more comfortable and hold the reader's attention more
effectively. The width hasn't changed but the size has increased and
thus decreased the number of characters per line.

One of the reasons I decided to buy the fonts was simply that I love the
way they look and they have a lot of
[features](https://mbtype.com/fonts/concourse/features.html) I wanted.
In addition to that, however, I also wanted to support Matthew. His
book, *[Practical Typography](https://practicaltypography.com/)* is an
amazing resource for anyone that does anything with text. He has put a
massive amount of work into it and simply [asks readers to
pay.](https://practicaltypography.com/why-you-should-pay.html) There is
no pay*wall* and no ads either; it's completely supported by readers.
There are a few [ways to
contribute](https://practicaltypography.com/how-to-pay-for-this-book.html)
and one of them is buying his fonts. Interestingly enough, if you read
his [first,](https://practicaltypography.com/economics-year-one.html)
[second,](https://practicaltypography.com/effluents-influence-affluence.html)
and [third](https://practicaltypography.com/to-pay-or-not-to-pay.html)
year summaries, more people bought his fonts for a higher price than
simply paid him directly:

> What’s most interesting to me, however, is that so many more readers
> were willing to buy a font license (at $59–299) than to make a direct
> payment (at $5–10). Don’t get me wrong—I’m utterly grateful. But it’s
> counterintuitive: I never expected that the cheaper option would be so
> much less popular. Economists, I invite your explanations.
>
> — *[The Economics of a Web-based Book: Year
> One](https://practicaltypography.com/economics-year-one.html)*

I won't speculate as to why but it is thought-provoking. Regardless, his
approach is very similar to that of any developer who creates open
source software. They pour their time and energy into projects they
might get no compensation for and rely on the community to fund their
efforts. I have a *great* deal of respect for these people and try to
support them whenever I'm able. $200 is a small price for two incredible
fonts in addition to *Practical Typography*!

[^1]: Small caps are a font style where the letters that would otherwise
    be lower case are a shorter version of the upper case form. Many
    people simulate small caps by reducing the font size of regular
    capital letters to that of lower case characters but the results are
    too tall and their vertical lines too thin; they've only been scaled
    down. *Proper* small caps are an additional set of letters added to
    a font file as [OpenType
    features.](https://practicaltypography.com/opentype-features.html)
    For a comparison, see the related page on *[Practical
    Typography.](https://practicaltypography.com/small-caps.html)*
[^2]: I took mental note when reading an article about it but have since
    forgotten what it was and can't find it again. There are, however,
    various other sources, such as *[The Elements of Typographic Style
    Applied to the Web](http://webtypography.net/2.1.2)* and
    *[Readability: the Optimal Line
    Length.](https://baymard.com/blog/line-length-readability)*
[^3]: A [rather short
    study](https://web.archive.org/web/20170918212943/http://psychology.wichita.edu/surl/usabilitynews/72/LineLength.asp)
    from Wichita State University found that increased line length
    resulted in greater reading efficiency. However, there were no
    significant effects on comprehension and the preference for longer
    or shorter lines was fairly evenly distributed.
