---
title: "Part of my cellar"
description: "Quick tour of my pipes and accessories"
author: Amolith
date: 2020-04-17T20:18:01-04:00
cover: /assets/jpgs/porch.jpg
categories:
  - Pipe Smoking
tags:
  - Nørding
  - Churchwarden
  - Cellar
  - Pipes
  - Missouri Meerschaum
  - Mauro Armellini
---

Continuing with my journey into the world of pipe smoking, I thought I
would show what my *cellar*[^1] looks like. It's not much—just some jars
and a pipe stand on my dresser—but it's more than what I've seen some
other people have[^2]. I'll talk about tobacco in another post; this one
is just about what's on the left of the picture below. The paper is
something I saw in a YouTube video and I thought it was a really cool
idea; rather than pinching your tobacco out of the jar, sprinkling it
into the bowl, and inevitably spilling some, simply dump it onto a sheet
of paper. From there, you can pull apart any clumps that may have
formed, fill the bowl, then fold the paper in half lengthwise and pour
what's left back into to the jar.

![Picture of my dresser with some pipes, accessories, and tobacco. To
the right, there are 12 big jars of tobacco along with a smaller one. On
the left is my half-full pipe stand with three pipes in it, my lighter,
a pipe tool, a wind cap, a smaller single stand to the right, and a
sheet of paper in the front.](/assets/jpgs/dresser.jpg)

The small stand to the right of the big one is the [Single Pipe Stand
from
SmokingPipes](https://www.smokingpipes.com/accessories/pipe%20accessories/moreinfo.cfm?product_id=120415).
I do like it but it's really only suitable for pipes with straight[^3]
stems; with bent stems, the mouthpiece ends up resting on the table. I
haven't tried it but I would recommend going with the [solid
version](https://www.smokingpipes.com/accessories/pipe%20accessories/moreinfo.cfm?product_id=120414)
if you're wanting a stand for a single pipe because it's more versatile.
The larger one, below, is the [Woodmere 6 Pipe
Stand](https://www.smokingpipes.com/accessories/pipe%20accessories/moreinfo.cfm?product_id=120414)
from the same website. It has the same problem as the first but it's not
as pronounced; pipes with bent stems need to be pushed forward in the
divot in the base so they can lean back against the bar. Otherwise, the
weight of the stem and shank[^4] will cause them to fall forward.

Pipes will be described further down so the next thing is the metal
object that looks like a sink drain. It's a [wind cap from The Country
Squire](https://www.thecountrysquireonline.com/product/wind-cap/) (which
also has [a great
podcast](https://www.podastery.com/podcast-country-squire-radio)). I've
found it to be very handy at my university when it's windy. The next
item is just a simple "Czech pipe tool" that can be purchased from
pretty much any store that sells pipes, both brick-and-mortar and online
retailers. The last thing is a Zippo *pipe* lighter. These are entirely
different from normal Zippo lighters because they're meant to be held
sideways over the bowl of a pipe. This design lets you put the flame
directly to the tobacco rather than drawing it over the side of the bowl
and scorching the rim. I ordered mine from Amazon a year or so ago but
have since stopped using Amazon due to ethical and privacy concerns. I
can't find the same product on [Zippo's
website](https://www.zippo.com/collections/pipe-lighters) so here's a
link to it from
[Wal-mart.](https://www.walmart.com/ip/Zippo-Red-Pipe-High-Polished-Brass-Windproof-Lighter-28322-NEW-L-K/628527710)
I also dislike using Wal-mart but it's marginally better than Amazon.

![This picture is pretty much the same as the earlier one but without
the tobacco and paper.](/assets/jpgs/pipes.jpg)

Now the fun part :wink: The first pipe I got was the [Missouri Pride from
Missouri
Meerschaum.](https://corncobpipe.com/missouri-pride-corncob-pipe.html)
An *excellent* starter pipe, I ended up giving it to my room mate after
he showed an interest in the hobby. However, a close friend of mine had
given me one of his old pipes and I fell in love with it. Unfortunately,
I know absolutely *nothing* about it other than it was made by [Mauro
Armellini](https://pipedia.org/wiki/Armellini), an Italian craftsman who
died several years ago. I'm considering sending an email to the company
and seeing if they can tell me anything about it. On one side of the
shank is the name *Mauro Armellini*, the bottom has the number *705*,
and the other side says *Verona* with the word *ARCOBALENO* below it. If
anyone reading this knows something about the pipe, please let me know.

![A picture of my pipe from Mauro Armellini. It's sitting on my porch
rail with the yard in the background; the grass is a light green and the
leaves of the woods further on are darker. The pipe is a rich brown with
a cream-coloured opalescent stem. There is a mother-of-pearl inlay on
top of the stem.](/assets/jpgs/armellini.jpg)

The first "real" pipe I bought myself was a churchwarden[^5] from
[Nørding Pipes.](https://www.nordingpipes.com/) If you're curious about
the company or the founder, Erik Nørding, listen to this episode of the
[Country Squire Radio.](https://countrysquireradio.fireside.fm/341)
After I heard it, I decided to make one of their pipes my first
purchase. What I ended up getting was a Partially Rusticated[^6]
Churchwarden from
[SmokingPipes.](https://www.smokingpipes.com/pipes/new/Nording/moreinfo.cfm?product_id=363601)
I've been using it for a month or so now and absolutely love it,
especially when I'm sitting on the porch reading or going lunting[^7].

![This is also a picture of a pipe on my porch rail. It is significantly
longer at about 10.5 inches or 265 millimetres. The stem has a gentle
curve. The bowl is the same deep brown as the Armellini pipe but the
finish is newer so it shines more. The rustication will be hard to
describe. The rest of the pipe is brown but the rusticated part is
black. The texture is rough but smooth—the edges that might have been
jagged were sanded down. The bottom of the bowl is what's rusticated;
the top is normal. When held upside down, it almost looks as if the
rusticated part is dripping onto the normal part and the same for the
stem.](/assets/jpgs/churchwarden-nording.jpg)

My latest acquisition is [The
Emerald](https://corncobpipe.com/the-emerald-corn-cob-pipe) from
[Missouri Meerschaum.](https://corncobpipe.com) It is a corn cob pipe
but not like the Missouri Pride; this model has very obviously been
sanded smooth and sealed so that it *almost* feels like finished wood.
The stem is a higher quality acrylic than their other models and much
more pleasant to look at as well. This is the model they released for
Saint Patrick's Day in 2019 but, due to popular demand, they started
producing it again. I'm hoping to purchase this year's as well and start
building a collection.

![This pipe is a light cream colour. The bowl looks like the cob of an
ear of corn (that's what it is) with a short wooden tube sticking out of
it. The bent stem is a deep marbled green.](/assets/jpgs/emerald.jpg)

This last picture is of me sitting on my porch with a book, my
churchwarden, my lighter, and my pipe tool. It was a warm and peaceful
afternoon and I had a strong urge to capture the moment because this is
one of the *big* reasons I enjoy smoking a pipe. In the rigorous life of
a university student, musician, and systems administrator, this is my
rare chance to just slow down and simply be in the moment without
worrying over anything else.

![In this picture, you can see the top edge of the book I'm reading, my
crossed legs resting on the porch rail, my churchwarden to the left, and
my light and pipe tool to the right. This is the same "warm" scene as
described in the picture of Armellini's pipe; it's very
peaceful](/assets/jpgs/porch.jpg)

[^1]: In this context, a cellar is simply a place to store pipes and
    pipe tobacco. When someone says they're going to *cellar* their
    tobacco, they mean they're going to prepare it for long-term
    storage.
[^2]: One was literally just a cardboard box with some jars inside and a
    few pipes laying on top. There's nothing wrong with that but I
    prefer to have a little more space.
[^3]: The stem is the part of the pipe where the mouthpiece is. In these
    pictures, it's opalescent for the first, marbled for the second, and
    solid black for the third.
[^4]: The shank is where the stem is inserted; it's in between that and
    the bowl and made from the same material as the bowl.
[^5]: *Churchwarden* refers to the length of the pipe. There are many
    theories about why it's named so but one I find interesting is that
    it's after real
    [churchwardens.](https://en.wikipedia.org/wiki/Churchwarden) They
    would have to stay up all night guarding the church and couldn't be
    expected to go that long without smoking. However, the smoke from a
    traditional pipe would often obscure their vision because it was so
    close to their face. The churchwarden was invented so the bowl was
    significantly further away and wouldn't get in their line of sight.
[^6]: Rustication is the process of adding texture to the bowl (or
    shank) of a pipe. Generally, this is done to hide imperfections in
    the briar so the pipe still looks good. Personally, I stay away from
    *fully* rusticated pipes not just because I don't like the
    aesthetics but because the wood is likely poor quality. This is
    certainly not *always* the case, however.
[^7]: Lunting is *the act of taking a leisurely stroll whilst smoking a
    tobacco pipe ([Lunting.org](https://www.lunting.org/)).* When I go
    hiking, I'll often take my pipe with me; it's a calm and
    contemplative time to simply think and enjoy a good tobacco.
