---
title: "Reading Methods & RSVP"
date: 2020-02-13T21:57:28-05:00
author: Amolith
description: Methods we unconsciously use when reading and ways to increase both speed and comprehension
cover: /assets/pngs/book.png
categories:
  - Technology
tags:
  - Productivity
  - Reading
  - TIL
---

## Reading methods
Today, I learned that there are three primary ways people read. The
first and most common is *mental reading* and this is when you "say" the
words in your head as if you were speaking them.[^1] I find this useful
when writing because it's as if I'm *actually* speaking them; picking
out sentences and phrases that don't sound quite right is easier. In
writing courses, the instructor's advice is often to read your work
aloud and see how it sounds as mistakes, word choices, and grammatical
errors are typically much more prominent. Personally, I find doing it in
my head sufficient though. Mental reading is the slowest method but also
where your comprehension is at its peak; you are forced to slow down and
that gives your brain more time to process the information it's being
fed. The average speed is 250 WPM.[^2]

The second method is called *auditory reading* and it's just listening
to words spoken by a person or a TTS[^3] engine. Because listening is
generally more passive, it's much easier to completely miss individual
words while still understanding the meaning of the phrase or passage.
This is significantly faster than mental reading at an average of around
450 WPM. However, comprehension takes a hit because you have less time
to process the information.

*Visual reading* is the last and fastest. The concept may be kind of
hard to grasp at first but the next paragraph about Stutter will
hopefully make it clearer. Visual reading is understanding the meaning
of the word without having to hear it or say it in your head,
recognising it based on its shape and the letters it's comprised of.
Comprehension is at its lowest here but speed peaks. The *average*
reader who uses this method can consume 700 words per minute. To put
that in perspective, it's 2.8x faster than mental reading. While
comprehension is low, it is not nonexistent. The best way to understand
what I mean is to try it for yourself.

**Note:** [Some
sources](https://steemit.com/content/@jacor/speed-reading-a-wonderful-skill-to-obtain)
say that, with practise and when done correctly, there is no difference
in comprehension, rather the opposite; you retain information
*significantly* better when speed reading properly. This is where I
would recommend actually doing it and deciding for yourself.

## Stutter
[Stutter](https://github.com/jamestomasino/stutter) is a Firefox and
Chrome extension that brings RSVP[^4] to your browser and lets you
develop visual reading skills. It specifically makes use of *peripheral
reading* and displays a single word at time but moves through them at
rapid pace. It highlights a single character of the current word just to
the left of the centre. This is because a word can usually be recognised
by its first few characters; the rest aren't as important. The highlight
remains in a fixed position so you never have to move your eyes. Because
of that, Stutter is able to display new words much more quickly; the
average reader can usually comfortably start at 500 WPM but it is
possible to reach speeds of over 1200 WPM with regular practise. I
haven't gotten that far yet :wink:

For more information on speed reading, the [Wikipedia
page](https://wikipedia.org/wiki/Speed_reading) (where I got most of my
information) is really interesting and well-worth a read.

## Edits
* [@caltlgin](https://masto.nixnet.xyz/@caltlgin) recommended
  [flrdr,](https://octobanana.com/software/fltrdr) a TUI tool for
  reading with RSVP

[^1]: The technical term is
    *[subvocalisation](https://wikipedia.org/wiki/Subvocalization)*
[^2]: Words per minute
[^3]: [Text-to-speech](https://wikipedia.org/wiki/Speech_synthesis)
[^4]: *[Rapid serial visual
    presentation](https://en.wikipedia.org/wiki/Rapid_serial_visual_presentation)*
