---
title: "Uses"
description: "Just a big page describing what I use that I think is notable"
date: 2021-08-18T22:57:48-04:00
type: generic
---

This is just a simple page detailing some of the important tools I use for those
that may be interested! See [uses.tech](https://uses.tech/) for similar pages on
other individuals' websites.

## Hardware

### Desktop

I built my PC over the summer of 2019, _before_ all of the component prices shot
up during the pandemic. If I was attempting to build this now, I would have
ended up with a significantly less powerful machine.

- **Webcam:** Logitech Brio
- **Microphone:** Røde Podcaster
- **CPU:** AMD Ryzen 7 2700
- **GPU:** MSI Radeon RX 5700XT OC
- **RAM:** G.Skill Ripjaws V Series 32 GB DDR4-3200
- **Keyboard:** Ergodox-EZ
- **Mouse:** Logitech MX Master 3
- **Monitor:** Gigabyte AORUS FI27Q-SA 27"
- **Operating System:** Arch Linux
- **Window Manager:** i3

I also have Windows installed for the odd game or two that won't run in
Proton; it's really nothing more than a gaming console for me.

### Laptop

My university scholarship paid for most of my old laptop but a stipulation was
that the device had to be new. I really wanted an old Thinkpad that would have
cost maybe $200-$300 after repairs and upgrades, but it would definitely not
have been new. Instead, I found a [refurbished Thinkpad X200][x200] from
[Vikings.][vikings] Because they rebrand the device on receipts, I was able to
make the purchase and get a fully free laptop with no binary blobs whatsoever.
Because it's running [Libreboot,][libreboot] I was even able to encrypt the boot
partition so "full-disk encryption" really does apply to _the full disk_. That
said, I _do not_ recommend Libreboot. It's been two headaches and a half trying
to get anything other than the [FSF-blessed distros][blesseddistros] installed
with it.

[x200]: https://store.vikings.net/x200-ryf-certfied
[vikings]: https://store.vikings.net/
[libreboot]: https://libreboot.org/
[blesseddistros]: https://www.gnu.org/distros/free-distros.html

My _current_ laptop is the [Framework.][framework] It's hands-down the best
laptop I've ever owned (not a very high bar though) and one of my favourite
laptops to work on (much higher bar). Mine has the 11th gen Intel i5 processor
with 16 GB of RAM and a 500 GB SSD. I actually have _two_ SSDs that I swap
between when I want to try a new and shiny distro, but I always end up going
back to my comfy Arch setup.

[framework]: https://frame.work/

### Other devices

I seem to have a thing for e-ink devices. Until my [Kobo Clara HD][clarahd]
died, I used it very frequently for all of my regular reading. Now, I use a
[Kobo Clara 2E][clara2e] instead. I exclusively use [KOReader][koreader] on
both.

[auraone]: https://us.kobobooks.com/collections/auraone-related/products/kobo-aura-one-limited-edition
[clarahd]: https://kobobooks.com/collections/certified-refurbished-ereaders/products/certified-refurbished-kobo-clara-hd
[clara2e]: https://us.kobobooks.com/products/kobo-clara-2e
[koreader]: https://koreader.rocks/

I also have a [Supernote A5X][supernote] and have to say that this is a
_wonderful_ device. I'm in the process of writing a blog post about it, and once
it's finished, I'll link it here. For now, I'll just say that it sits on the
corner of my desk any time I'm home and can usually be found in my left hand
whenever I'm not.

[supernote]: https://supernote.com/#/product?type=SN-A5-X

## General software

As for more general software, I'll only mention things I feel are particularly
notable.

My personal operating system of choice is [Arch Linux][arch] because it's very
easy to work with, simple, and incredibly up-to-date. I've used it since
somewhere around 2017 or 2018. On servers, I like sticking with [Debian][debian]
wherever possible. It's a fantastic and very widely supported distribution for
pretty much anything. I would eventually like to get involved with the project
but my free time is pretty limited at the moment.

[arch]: https://archlinux.org/
[debian]: https://www.debian.org/

My email setup is a little cursed but I use [mbsync][mbsync] for synchronising
[my IMAP server][imap] with my local Maildir, [mu4e][mu4e] in [GNU Emacs][emacs] for
interacting with and composing emails, and [msmtp][msmtp] for relaying those
compositions to my [Postfix][postfix] [SMTP server][smtp] before sending
them on their way to the recipient. Blog post about all this coming soon™.

[mbsync]: https://isync.sourceforge.io/mbsync.html
[imap]: https://nixnet.email/
[mu4e]: https://www.djcbsoftware.nl/code/mu/mu4e/
[emacs]: https://www.gnu.org/software/emacs/
[msmtp]: https://marlam.de/msmtp/
[postfix]: http://www.postfix.org/
[smtp]: https://nixnet.email/

My browser of choice is [Mozilla Firefox.][Firefox] I don't like the company and
the browser is slowly becoming worse and worse for the average user but at least
it's not Google and it's not contributing to their total domination over web
rendering :^)

[Firefox]: https://www.mozilla.org/en-US/firefox/new/

[Nextcloud][nextcloud] also finds itself a home on my homeserver. As much as
it's a bloated pile of PHP that does a sub-par job at everything it attempts, it
does a good enough job to make life convenient. I mainly use its file syncing,
calendar, contacts, and sometimes music features.

[nextcloud]: https://nextcloud.com/

I also use a lot of the stuff a friend and I run over at
[NixNet.][NixNet] In particular, I probably I use
email, XMPP, BigBlueButton, HedgeDoc, Mumble, and wallabag every day.

[NixNet]: https://nixnet.services/

_I use every open source messaging service known to man. Please send
help._
